#!/bin/bash
#
# DocBook Test Case for faulty title in figures in Article appendix
#

# Environment. Please adjust as needed
export SAXON=/usr/share/java/saxon.jar
export XERCES=/usr/share/java/xercesImpl.jar
export XSL=/home/jpm/Development/XML/DocBook/docbook-xsl/fo/docbook.xsl

export FOP_LIB=/home/jpm/Development/Apache/fop/lib
export FOP_JAR=/home/jpm/Development/Apache/fop/build/fop.jar
export HYPHENATION=/home/jpm/Development/XML/DocBook/offo-hyphenation-fop-stable/fop-hyph.jar

export VIEWER=evince

# Transformation from DocBook to XSL-FO
java -Djavax.xml.parsers.DocumentBuilderFactory=org.apache.xerces.jaxp.DocumentBuilderFactoryImpl \
     -Djavax.xml.parsers.SAXParserFactory=org.apache.xerces.jaxp.SAXParserFactoryImpl \
     -Dorg.apache.xerces.xni.parser.XMLParserConfiguration=org.apache.xerces.parsers.XIncludeParserConfiguration \
     -cp $SAXON:$XERCES com.icl.saxon.StyleSheet \
     -o test.fo test.xml \
     $XSL;

# Transformation from XSL-FO to PDF for easier review
java -cp $FOP_LIB/avalon-framework-4.2.0.jar:$FOP_LIB/batik-all-1.7.jar:$FOP_LIB/commons-io-1.3.1.jar:\
$FOP_LIB/commons-logging-1.0.4.jar:$FOP_LIB/serializer-2.7.0.jar:$FOP_LIB/xalan-2.7.0.jar:\
$FOP_LIB/xercesImpl-2.7.1.jar:$FOP_LIB/xml-apis-1.3.04.jar:$FOP_LIB/xml-apis-ext-1.3.04.jar:\
$FOP_LIB/xmlgraphics-commons-1.3.1.jar:$FOP_JAR:$HYPHENATION \
    org.apache.fop.cli.Main \
    test.fo \
    test.pdf

# View the resulting PDF
$VIEWER test.pdf
